#include <iostream>
using namespace std;
int main()
{
    int n,k,d,g=1;
    int c=1;
    cin>>n>>d>>k;
    for(int i=0;i<k;i++){
            g=g+d;
     while(g>n){
        g=g-n;
     }
     c=c+g;

    }

    cout<<c;
    return 0;
}
